<!DOCTYPE html>
<html lang="{{ app.request.locale|split('_')[0] }}">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">

        <title>{% block title %}{{ 'app.name'|trans|raw }}{% endblock %}</title>
        <meta name="description" content="{% block meta_desc %}{% endblock %}">

        {% block head %}{% endblock %}

        {% block stylesheets %}
            {{ encore_entry_link_tags('app') }}
        {% endblock %}
    </head>

    <body class="body">
        <header class="mb-4">
            {{ include('layout/header.html.twig') }}

            {% block header %}{% endblock %}
        </header>

        <div class="container js-flash-messages">
            {% for label, flashes in app.session.flashbag.all %}
                {% for flash in flashes %}
                    {{ include('layout/flash-message.html.twig') }}
                {% endfor %}
            {% endfor %}
        </div>

        <main class="main mb-4">
            {% block body %}{% endblock %}
        </main>

        <footer class="footer">
            {{ include('layout/footer.html.twig') }}
            {% block footer %}{% endblock %}
        </footer>
    </body>

    {% block javascripts %}
        {{ encore_entry_script_tags('app') }}
    {% endblock %}
</html>
